INTERFACE
SUBROUTINE SPNHSI_GEOGW(&
 & CDCONF,KM,KMLOC,KSTA,KEND,LDONEM,&
 & PSPVORG,PSPDIVG,PSPTG,PSPSPG,PSPSPDG,PSPSVDG) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NSMAX
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KM
INTEGER(KIND=JPIM),INTENT(IN) :: KMLOC
INTEGER(KIND=JPIM),INTENT(IN) :: KSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
LOGICAL ,INTENT(IN) :: LDONEM
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPVORG(:,:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDIVG(:,:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPTG(:,:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPSPG(:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPSPDG(:,:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPSVDG(:,:)
END SUBROUTINE SPNHSI_GEOGW
END INTERFACE
